Bug 195529 - right-click on breakpoint shows disabled properties
right-click on breakpoint shows disabled properties
Status: VERIFIED FIXED
Product: cnd
Classification: Unclassified
Component: Debugger
7.0
PC Linux
: P1 with 1 vote (vote)
: 7.0
Assigned To: Egor Ushakov
issues@cnd
: 70_HR_FIX
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2011-02-15 20:16 UTC by tbrunhoff
Modified: 2011-03-31 13:29 UTC (History)
2 users (show)

See Also:
Issue Type: DEFECT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description tbrunhoff 2011-02-15 20:16:09 UTC
To repeat:
 - click in the left column of the editor to create a breakpoint.
 - right click on the breakpoint... note that "properties" is disabled
 - pull down window->debugging->breakpoints
 - find the breakpoint and right click on it... note that there is no "properties" but there is a "customize". Select customize and add a condition.
 - go back to the editor and right click on the breakpoint. Note that properties is still disabled.

Seems like a disconnect among menu items, properties, and breakpoints.

Please fix.

Product Version: NetBeans IDE Dev (Build 201102100500)
Java: 1.6.0_23; Java HotSpot(TM) Client VM 19.0-b09
System: Linux version 2.6.35.10-74.fc14.x86_64 running on i386; UTF-8; en_US (nb)
Userdir: /home/toddb/.netbeans/dev
Comment 1 tbrunhoff 2011-03-25 18:45:06 UTC
In reviewing http://wiki.netbeans.org/BugPriorityGuidelines, and the fact that I keep running into this problem, and the fact that although there is a workaround (right click in the breakpoints window, as described above), it is difficult to correlate that with the editor view because there is only a line number and no visual feedback when you right click in the breakpoint window.

Upping to P2.
Comment 2 Marian Mirilovic 2011-03-25 23:34:00 UTC
Please evaluate : if you do not plan to fix it for NB 7.0 ask for waiver ASAP.
Comment 3 Egor Ushakov 2011-03-26 08:08:14 UTC
fixed in trunk:
http://hg.netbeans.org/cnd-main/rev/0c830f6abd41
Comment 4 Quality Engineering 2011-03-28 08:48:54 UTC
Integrated into 'main-golden', will be available in build *201103280400* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main/rev/0c830f6abd41
User: Egor Ushakov <gorrus@netbeans.org>
Log: fixed #195529 (right-click on breakpoint shows disabled properties)
Comment 5 Alexander Pepin 2011-03-28 11:56:55 UTC
verified in dev build #5040
Comment 6 Egor Ushakov 2011-03-28 13:10:02 UTC
integrated into release70:
http://hg.netbeans.org/releases/rev/f19b72a2c5fc
Comment 7 Egor Ushakov 2011-03-29 14:20:20 UTC
gives NPE when clicking on breakpoint annotation in disassembly:
java.lang.NullPointerException
	at org.netbeans.modules.debugger.ui.actions.BreakpointCustomizeAction$BreakpointAwareAction.getCustomizerClass(BreakpointCustomizeAction.java:175)
	at org.netbeans.modules.debugger.ui.actions.BreakpointCustomizeAction$BreakpointAwareAction.isEnabled(BreakpointCustomizeAction.java:133)
	at org.openide.awt.Actions$MenuBridge.updateState(Actions.java:1156)
Comment 8 Egor Ushakov 2011-03-29 14:45:11 UTC
NPE fixed in trunk:
http://hg.netbeans.org/cnd-main/rev/a82986f435fe
Comment 9 Quality Engineering 2011-03-30 08:44:07 UTC
Integrated into 'main-golden', will be available in build *201103300400* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main/rev/a82986f435fe
User: Egor Ushakov <gorrus@netbeans.org>
Log: fixed #195529 (right-click on breakpoint shows disabled properties) - fix for disassembly
Comment 10 Alexander Pepin 2011-03-30 09:40:21 UTC
verified in dev build #5058
Comment 11 Egor Ushakov 2011-03-30 09:46:36 UTC
integrated into release70:
http://hg.netbeans.org/releases/rev/43f424ef7b14
Comment 12 Alexander Pepin 2011-03-31 13:29:12 UTC
Verified in RC2 build 20110331


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo